Skip to main content
GET
/
v6
/
accounting
/
manualJournalEntries
/
{id}
Get manual journal entry
curl --request GET \
  --url https://sandbox.tight.com/v6/accounting/manualJournalEntries/{id} \
  --header 'Authorization: Bearer <token>'
{
  "result": "SUCCESS",
  "data": {
    "id": "mje_12345",
    "status": "ACTIVE",
    "date": "2026-01-15",
    "description": "Monthly accrual adjustment",
    "amount": 50000,
    "recurrence": {
      "frequency": "MONTHLY",
      "interval": 1,
      "endDate": "2025-12-31"
    },
    "apiName": "MANUAL_ENTRY",
    "apiSourceId": "ext_abc123",
    "children": [
      {
        "glAccount": {
          "id": "gla_38560327",
          "name": "Officer(s) Salaries and Wages",
          "accountNo": "60210",
          "type": "EXPENSE",
          "iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png"
        },
        "amount": 5000,
        "crAmount": 5000,
        "drAmount": 0
      }
    ],
    "customData": {
      "internal_key": "some_internal_key",
      "some_other_field": 23434
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Path Parameters

id
string
required

The id of the manual journal entry

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.